Loading...
Searching...
No Matches
Elf32_Shdr Struct Reference
Utility Functions » ELF binary format

ELF32 section header. More...

`#include <elf.h>`

Collaboration diagram for Elf32_Shdr:

## Data Fields

Elf32_Word | sh_name
| name of sect (idx into strtab)
Elf32_Word | sh_type
| section's type
Elf32_Word | sh_flags
| section's flags
Elf32_Addr | sh_addr
| memory address of section
Elf32_Off | sh_offset
| file offset of section
Elf32_Word | sh_size
| file size of section
Elf32_Word | sh_link
| idx to associated header section
Elf32_Word | sh_info
| extra info of header section
Elf32_Word | sh_addralign
| address alignment constraints
Elf32_Word | sh_entsize
| size of entry if sect is table

## Detailed Description

ELF32 section header.

Definition at line 347 of file elf.h.

## Field Documentation

## sh_flags

Elf32_Word Elf32_Shdr::sh_flags

section's flags

See also
  Elf_SHFs

Definition at line 351 of file elf.h.

## sh_type

Elf32_Word Elf32_Shdr::sh_type

section's type

See also
  Elf_SHTs

Definition at line 350 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h